Templates
Templates are created in the VisiSign dashboard and used via the API to send pre-configured documents. The API provides read-only access to templates.
List templates
Section titled “List templates”GET /v1/templatesReturns a paginated list of templates for your organization.
Query parameters:
| Parameter | Type | Description |
|---|---|---|
page | integer | Page number (default: 1) |
per_page | integer | Results per page (default: 20, max: 100) |
Response:
{ "templates": [ { "id": "tmpl_123", "name": "NDA Template", "description": "Standard non-disclosure agreement", "signing_order": "everyone", "roles_count": 2, "fields_count": 5, "created_at": "2026-01-15T10:00:00Z", "updated_at": "2026-02-01T08:00:00Z" } ], "pagination": { "page": 1, "per_page": 20, "total_pages": 1, "total_count": 1 }}Get a template
Section titled “Get a template”GET /v1/templates/:idReturns full template details including roles and field placements.
Response:
{ "template": { "id": "tmpl_123", "name": "NDA Template", "description": "Standard non-disclosure agreement", "signing_order": "everyone", "created_at": "2026-01-15T10:00:00Z", "updated_at": "2026-02-01T08:00:00Z", "roles": [ { "id": 1, "name": "client", "order": 0 }, { "id": 2, "name": "witness", "order": 1 } ], "fields": [ { "id": 456, "role_id": 1, "role_name": "client", "field_type": "signature", "label": "Client Signature", "page": 1, "x": 100, "y": 650, "width": 200, "height": 50, "required": true }, { "id": 457, "role_id": 1, "role_name": "client", "field_type": "date", "label": "Date", "page": 1, "x": 100, "y": 710, "width": 150, "height": 30, "required": true } ] }}Use the roles array to understand which role names to map signers to when calling Send with Template.